OpenVDB 13.0.0

Loading...
Searching...
No Matches
Tree3< T, N1, N2 > Struct Template Reference

Tree3<T, N1, N2>::Type is the type of a three-level tree (Root, Internal, Leaf) with value type T and internal and leaf node log dimensions N1 and N2, respectively. More...

`#include <openvdb/tree/Tree.h>`

## Public Types
using | Type = Tree<RootNode<InternalNode<LeafNode<T, N2>, N1>>>

## Detailed Description

template<typename T, Index N1 = 4, Index N2 = 3>
struct openvdb::v13_0::tree::Tree3< T, N1, N2 >

Tree3<T, N1, N2>::Type is the type of a three-level tree (Root, Internal, Leaf) with value type T and internal and leaf node log dimensions N1 and N2, respectively.

Note
  This is NOT the standard tree configuration (Tree4 is).

## Member Typedef Documentation

## ◆ Type

template<typename T, Index N1 = 4, Index N2 = 3>

using Type = Tree<RootNode<InternalNode<LeafNode<T, N2>, N1>>>